.age-gate {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 99991;
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  outline: 0;
  background-color: rgba(103, 103, 103, 0.9);
  display: none;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.age-gate.show {
  display: flex;
}
.age-gate__wrapper {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 45px;
  max-width: 800px;
  width: 100%;
  height: auto;
  margin: 0 auto;
  background-color: #1f1f1f;
  padding: 70px 15px 20px;
  overflow-y: hidden;
}
.age-gate__container {
  width: 100%;
}
.age-gate__logo {
  text-align: center;
}
.age-gate__logo img {
  width: 100%;
  max-width: 260px;
  padding-bottom: 0px;
}
.age-gate__title {
  font-size: 40px;
  text-align: center;
  color: #fff;
  font-family: "Barlow Condensed", sans-serif;
  font-weight: 700;
  text-transform: uppercase;
  margin: 50px 0px;
}
.age-gate__form-fields {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 15px;
  margin-bottom: 25px;
}
.age-gate__form-button {
  text-align: center;
  margin-bottom: 15px;
}
.age-gate__form-button button {
  text-decoration: none;
  font-size: 36px !important;
  font-weight: 700;
  text-transform: uppercase;
  padding: 10px 20px !important;
  display: inline-block;
  line-height: normal;
  background: transparent;
  border: 1px solid !important;
  margin: 0px 15px;
  min-width: 230px;
  cursor: pointer;
  font-family: "Barlow Condensed", sans-serif;
  border-color: rgba(255, 255, 255, 0.75) !important;
  background-color: transparent !important;
  color: #fff;
}
.age-gate__form-button button[type="submit"]:hover {
  background-color: #fff !important;
  color: #000 !important;
  opacity: 1 !important;
}
.age-gate__error-message {
  display: none;
  text-align: center;
}
.age-gate__error-message.show {
  display: flex;
  font-size: 30px;
  text-align: center;
  color: #fff;
  justify-content: center;
  max-width: 500px;
  margin: auto;
  line-height: 1.5;
}
.age-gate__legal-text {
  position: relative;
  text-align: center;
  z-index: 3;
  color: #fff;
  font-size: 12px;
}
body.overflow-hidden {
  overflow: hidden;
}
@media screen and (max-width: 992px) {
  .age-gate__wrapper {
    max-width: 90%;
  }
}
@media screen and (min-width: 992px) {
  .age-gate__container {
    width: 75%;
  }
  .age-gate__form-fields {
    flex-direction: row;
    gap: 35px;
  }
  .age-gate__form-button button {
    max-width: 30%;
  }
}
@media screen and (max-width: 767px) {
  .age-gate__form-button button {
    font-size: 20px;
    padding: 10px 20px;
    margin: 0px 8px;
    min-width: auto;
  }
  .age-gate__logo img {
    max-width: 170px;
  }
}
